2009/07/20 v1.31
	背景画像の描画開始位置（X,Y座標)を指定できるようにした。

2008/05/31 v1.30
	マルチラインで線間の指定に小数点を使えるようにした。
	背景画像印刷で余白無視のオプションが実際には有効でなかったのを修正
	

2008/03/16 v1.29
	アップデートチェック機能搭載
	枠でネームプレート機能搭載
	円弧で同一の円弧を複数個印刷できるようにした
	用紙ごとに印刷枚数をカウントするようにした（表示はステータスバー中央）
	マルチラインでプリンタの解像度を下げたときに起こる印刷の不具合修正
	目盛り枠の寸法がずれていたのを修正（プレビューはズレたままですが印刷は大丈夫）

	ネームプレート機能とは
	今回は五線譜や英語ノート向けのシンプルなタイトル欄を書き込めます
	今後は他の用紙向けのネームプレートを搭載する予定

2008/02/24 v1.28
	円弧で分割線の基点を選べるようにした（0,90,180,270)各度
	枠の目盛り枠で10本ごとに強調していたのを5本目にも強調を入れるようにした
	失われていたクリティカルフォーカスを復帰
	環境によって？起動後4秒くらいでフリーズのような現象が起きていたのを改善したかも？

	前回のバージョンアップ後、トラブルで1.27のプログラムが失われたので1.26から作り直した。その際、マルチラインの個別強調表示の保存をデータベース（sqlite3)で行うようにした。
	

2007/08/08 v1.27
	マルチラインで全体の本数を基準とした強調表示設定ができるようにした。
	外観を整えた。

2007/06/10 v1.26
	マルチラインで線の太さを厳密に指定できるようにした。
	マルチラインで線の線種を選べるようにした。

2007/06/03 v1.25
	何も印刷しないブランク設定を追加（枠だけや背景だけの印刷が可能）
	ヘッダを枠という名称に変更
	枠の種類に目盛りを追加

2007/05/29 v1.24
	方眼紙の線太さを指定できるようにした
	大学ノートのようなヘッダ印刷機能搭載
	方眼紙のデータ入力時、マス数がmmサイズの上限を超えたときそれ以上増えないようにした。
	余白設定を小さくしたとき方眼紙のサイズでmmが変化していたのをマス数が変化するようにした。
	用紙設定の項目がスライド表示しないようにした
	その他色々
	
	ジョーク：バージョン情報に生産地を明記しました

2007/04/15 v1.23
	円弧を書くとき、背景を塗りつぶしてしまっていたのを修正
	背景画像を用紙いっぱいに設定するボタン搭載
	余白を上下、左右で均等に変更できるオプション追加
	背景画像設定画面をタブ選択型に戻した。

2007/03/23 v1.22
	透明になりながら終了するかを選べるようにした。
	リサイズ時等のちらつきを押さえた。

2007/01/07 v1.21
	円弧で円と分割線の線種を指定できるようにした。
	対数用紙などで浮動小数点エラーから抜けられなくなるバグ修正

2006/12/30 v1.20
	用紙の上下を見分けるためのマーク文字印刷機能搭載
		マークは余白設定を無視します
	今後の機能アップを想定して、右サイドバーのユーザーインタフェース改良
		引き出し形式のスライドインターフェースでスルスル動くのが楽しい（作者談）
	終了時、透明になりながら終了するようにした。(Win2000,XPのみ)
	

2006/11/24 v1.19
	円弧を印刷できるようにした。
		分割時の基点は右から

	デグレード：各種設定の個別保存機能排除
		理由：ハードディスクの故障によりv1.17から再構築したため。
		　　：Sqliteの使い方を一部間違えていたため。

2006/09/10 v1.18
	入力した設定の保存機能を搭載。
		保存はメニューのファイルから。
		保存したデータの簡易管理機能を搭載。
	強調表示の線のスタイルが印刷の方に反映されていなかった不具合修正。

2006/08/27 v1.17
	斜眼印刷で線の方向を指定できるようにした。
	方眼紙の強調表示線の線種を指定できるようにした。
	各種ライブラリを利用したことによるドキュメントの不備訂正。

2006/08/19 v1.16
	斜眼紙印刷機能搭載
		線の方向は紙の向きを変更することで対応してください
	エディットコントロールの強調表示をON,OFFできるようにした。
	（クリティカルフォーカスと名付けました）
	クリティカルフォーカスが外れたときの背面処理を強化
	サポート掲示板をPaperPrint掲示板とし、ヘルプから行けるようにした。

2006/08/16 v1.15
	各種入力ウインドウが入力受付状態とき
	そのコントロールの周りを赤色で強調表示するようにした。

2006/08/07 v1.14
	両対数用紙の縦線の刻み方向が逆だったのを修正。
		左から右に大きくなっていたのを、左から右に小さくなるようにした。
	↑のついでなので、チェックオプションにより刻み幅方向を自由に指定できるようにした。
	原稿用紙印刷で方向識別のためのマークを中央区切り上部に印刷するようにした。
	原稿用紙印刷で中央区切り部に文字列を入力できるようにした。
		プレビューの拡大倍率によって表示位置が崩れるバグがあります。
		100%で確認して印刷してください。
	ページ番号の印刷に対応。
		- Page 1 / 1 - というフォーマットになります。
		印刷位置は用紙中央下段のみ。
		余白は無視されます。
	
2006/08/03 v1.13
	前回終了時の印刷タイプのタブページを記憶するようにした。
	対数用紙で各項目に数字を入力しなかったときエラーメッセージが出るバグを修正

2006/06/04 V1.12
	対数用紙印刷で倍率による印刷しかできていなかったのを修正
	XPスタイルが有効になっていたために画面表示が崩れていたのを修正（XPスタイル無効)
	メモリリークの改善

2006/05/05 v1.11
	方眼紙印刷強調表示で縦と横を独立して編集できるようにした。
	スライドインプットで最大値最小値に移動させたとき自動で数値が変動するのをやめた。
	余白のためのべた塗りをやめた。(背景のみべた塗りで余白を実現しています)
	プレビューの見立ての紙の色を変更できるようにした*1

	*1
	印刷してもその色に塗りつぶすわけではありません
	印刷の特性上、白は色として扱われていません。
	線の色を白にした場合、プレビュー上では正常に見えてもその部分は何も印刷されません。
	例えば、白みがかった赤のつもりで印刷してもそのように印刷されないと思います。
	
2006/04/28 v1.10A
	タブの縦書き表示を止めた。
	その他色々。

2006/02/17 v1.10
	両対数用紙印刷機能で余分な線を描画しないようにした。
	背景イメージ描画機能でPNGファイルに対応。
	背景イメージに回転機能搭載（設定は保存されません）
	背景イメージに左右反転機能搭載（設定は保存されません）
	ユーザーインターフェース一部改良

2006/02/13 v1.09
	背景画像を印刷できるようにした。(基準ポジションは今のところ左上のみ)
	プレビュー画面が各種値変更時ちらつかないようにした。
	プリンタ変更時余白サイズが最低サイズより小さい場合そのままになっていたのを修正


2006/02/11 v1.08
	開発環境を最新のバージョンに変更(BCB6→BDS2006)
	方眼紙印刷で破線や点線などを印刷したとき破線や点線で印刷されない不具合修正

2005/12/24 v1.07
	スライドインプットで整数値入力中、最大または最小値にスライドさせたとき各5ずつ最小値最大値が変動するようにした。
	スライドインプットの内部数値調整
	対数用紙印刷で、純増オプションを選択できるようにした。

2005/12/24 v1.06
	数値入力用新ユーザーインターフェース搭載。
	個々の入力ボックスをダブルクリックするとスライド形式の入力インターフェースが表示されます。


2005/12/20 v1.05
	グリッド印刷機能に中抜きオプション追加:グリッドの内側を塗りつぶさないオプション
	グリッド印刷機能に斜交いオプション追加:グリッドを1行ごとにずらすオプション

2005/12/19 v1.04
	印刷機能にグリッドを追加
	ステータスバーのプリンター名をクリックすることでプリンターを変更できるようにした
	メニューのヘルプに、作者のインターネット掲示板で質問を追加
	余白設定に問題があったのを修正。正しい余白で印刷できるようになったはず。
	原稿用紙の線の太さを調整
	ステータスバーへほとんどの項目のヒントを表示するようにした。


2005/11/26 v1.03
	マルチラインで起動時、線の本数が読み込まれていなかったのを修正
	対数方眼で線の本数が１本多かったのを修正


2005/11/14 v1.02
	対数方眼を印刷できるようにした（使えるのか？）
	印刷する時に編集時のプリンターと違う物を選んだとき警告を出すようにした。
	原稿用紙印刷でサイズ指定の状態を保存するようにした。
	プリンター解像度による印刷結果の違いをさらに修正？(2回目)

2005/11/06 v1.01
	原稿用紙印刷でマスサイズを指定できるようにした。
	原稿用紙印刷でマスを正方形にした。
	原稿用紙印刷でふりがな記入欄の幅はマスサイズの３分の１にした。
	マルチライン印刷の線の太さにおいて、解像度を考慮するようにした。
	マルチライン印刷で余白になる部分に印刷されていた不具合を修正
	余白との境界線表示を追加
	余白のアップダウンボタンでの移動幅を1mmに設定
	スキン周り（メニューの表示）を多少綺麗に。

2005/09/11 v1.00
	原稿用紙印刷で横マス縦マスをユーザーが指定できるようにした。

2005/09/04 v0.91
	ユーザーインターフェース改善(各項目にアップダウンボタン設置)

2005/07/25 v0.9
	方眼紙印刷機能に指定マスごとに色を変える機能を追加
	マルチライン印刷機能に指定本数ごとに色を変える機能を追加
	上記機能追加により英語4線印刷機能廃止

2005/03/06 v0.8R1
	原稿用紙印刷400字のバグ修正
	原稿用紙印刷の対応文字数を変更＆増加
	ユーザーインターフェース改善

2004/12/05 v0.8
	ページ単位での印刷に対応（割付印刷・自動両面印刷が対応プリンタで可能に）
	原稿用紙印刷に対応（200マス、400マス）

2004/11/28 v0.7R2
	マルチラインで実際に出力されるものが五線譜のみだったのを修正
	スキンのパープルを選んだとき作者の意図した色で無かったのを修正

2004/11/22 v0.7R1
	マルチライン、英語４線で線の色を変更したときプレビュー表示が崩れていたのを修正
	簡易スキン機能搭載　全６種

2004/11/20 v0.7
	五線譜印刷をマルチラインに変更
	ユーザーインターフェース改善
	ソフトウェアのアイコン変更

2004/02/09 v0.6
	前回終了時に入力されているデータを自動保存、リロードするようにした。
	英語４線印刷が印刷できなかったのを修正

2003/09/12 v0.5
	英語用４線印刷に対応
	（中学のときに使った英語用ノート）
	余白設定を入力しづらかったのを修正

2003/06/25 v0.4
	五線譜印刷に対応

2003/03/03 v0.3.2
	プレビューサイズを画面解像度から取得するようにした。
	プレビュー倍率を指定できるようにした。
	余白設定を正しく指定できるようにした。

2003/03/02 v0.3.1
	プリンター解像度による出力結果の問題を修正
	プレビューの表示方法を改良
	余白設定で全てまとめて変更できるようにした

2003/02/23 v0.3
	プレビュー出来るようにした。
	点線、破線、一点鎖線、二点鎖線で印刷出来るようにした。
	インターフェース改善？

2003/02/17 v0.2
	無駄な処理を省いて処理速度向上
	見苦しかった小数点を適当なところで丸め。
	余白を設定出来るようにした。

2003/02/16 v0.1
	一応印刷できるので公開
